Subject: Re: Socket buffer sizes with autotuning

From: Andi Kleen <[email-masked]>
Date: Fri, 25 Apr 2008 00:21:08 +0200

David Miller <[email-masked]> writes:

>> What is your interface txqueuelen and mtu?  If you have a very large
>> interface queue, TCP will happily fill it up unless you are using a
>> delay-based congestion controller.
>
> Yes, that's the fundamental problem with loss based congestion
> control.  If there are any queues in the path, TCP will fill them up.

That just means Linux does too much queueing by default.  Perhaps that
should be fixed. On Ethernet hardware the NIC TX queue should be
usually sufficient anyways I would guess. Do we really need the long
qdisc queue too?

-Andi